Name:       libfeedback
Summary:    Feedback library
Version:    0.2.0
Release:    1
Group:      System/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
source1:	libfeedback.manifest
source2:	svi-data.manifest
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(mm-keysound)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(capi-system-info)
Requires(post):	svi-data

%description
Feedback library for playing sound and vibration


%package devel
Summary:    Feedback library for (devel)
Group:      Development/Libraries
Requires:   libfeedback = %{version}-%{release}

%description devel
Feedback library for playing sound and vibration (devel)

%package -n svi-data
Summary: 	svi resource package
Group:		Development/Libraries

%description -n svi-data
svi resource package

%package -n svi-data-profile_common
Summary:	svi resource package body without mobile/wearable mods
Provides:	svi-data-compat = %{version}-%{release}
Provides:	svi-data-profile_tv = %{version}-%{release}
Provides:	svi-data-profile_ivi = %{version}-%{release}
Conflicts:	svi-data-profile_mobile
Conflicts:	svi-data-profile_wearable
%description -n svi-data-profile_common
default set for svi resource package (not for mobile or wearable).

%package -n svi-data-profile_mobile
Summary:	svi resource package body without mobile/wearable mods
Provides:	svi-data-compat = %{version}-%{release}
Provides:	svi-data-profile_tv = %{version}-%{release}
Provides:	svi-data-profile_ivi = %{version}-%{release}
Conflicts:	svi-data-profile_common
Conflicts:	svi-data-profile_wearable
%description -n svi-data-profile_mobile
default set for svi resource package (not for mobile or wearable).

%package -n svi-data-profile_wearable
Summary:	svi resource package body without mobile/wearable mods
Provides:	svi-data-compat = %{version}-%{release}
Provides:	svi-data-profile_tv = %{version}-%{release}
Provides:	svi-data-profile_ivi = %{version}-%{release}
Conflicts:	svi-data-profile_common
Conflicts:	svi-data-profile_mobile
%description -n svi-data-profile_wearable
default set for svi resource package (not for mobile or wearable).

%prep
%setup -q

%build
export CFLAGS+=" -DTIZEN_ENGINEER_MODE"
cp %{SOURCE1} .
cp %{SOURCE2} .

%cmake . \
		-DCMAKE_INSTALL_PREFIX=%{_prefix} \
		-DTZ_SYS_RO_SHARE=%{_datadir} \
		-DTZ_SYS_SHARE=%{TZ_SYS_SHARE}
make

%install
rm -rf %{buildroot}

%make_install
pushd %{buildroot}%{_datadir}
mv common feedback
mv mobile feedback.mobile
mv wearable feedback.wearable
popd

mkdir -p %{buildroot}%{_datadir}/license
cp LICENSE %{buildroot}%{_datadir}/license/%{name}
cp LICENSE %{buildroot}%{_datadir}/license/svi-data

mkdir -p %{buildroot}%{TZ_SYS_SHARE}/feedback/haptic/custom

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun -n svi-data
rm -rf %{_datadir}/feedback/
rm -rf %{TZ_SYS_SHARE}/feedback/

%files
%defattr(-,root,root,-)
%{_libdir}/libfeedback.so.*
%{_datadir}/license/%{name}
%manifest libfeedback.manifest

%files devel
%defattr(-,root,root,-)
%{_includedir}/feedback/*.h
%{_libdir}/libfeedback.so
%{_libdir}/pkgconfig/feedback.pc

%files -n svi-data
%defattr(666,app,app,-)
%dir %{TZ_SYS_SHARE}/feedback/haptic/custom
%{_datadir}/license/svi-data
%manifest svi-data.manifest

%files -n svi-data-profile_common
%defattr(644,root,root,-)
%{_datadir}/feedback/*
%manifest svi-data.manifest

%post -n svi-data-profile_mobile
ln -sf feedback.mobile %{_datadir}/feedback
%preun -n svi-data-profile_mobile
rm -f %{_datadir}/feedback
%files -n svi-data-profile_mobile
%defattr(644,root,root,-)
%{_datadir}/feedback.mobile/*
%manifest svi-data.manifest

%post -n svi-data-profile_wearable
ln -sf feedback.wearable %{_datadir}/feedback
%preun -n svi-data-profile_wearable
rm -f %{_datadir}/feedback
%files -n svi-data-profile_wearable
%defattr(644,root,root,-)
%{_datadir}/feedback.wearable/*
%manifest svi-data.manifest
